Check In Attendee to Event
curl --request POST \
--url https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventId": "<string>",
"request": {
"qrCode": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee"
payload = {
"eventId": "<string>",
"request": {
"qrCode": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventId: '<string>',
request: {qrCode: '<string>', occurredAt: '2023-11-07T05:31:56Z'}
})
};
fetch('https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'eventId' => '<string>',
'request' => [
'qrCode' => '<string>',
'occurredAt' => '2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee"
payload := strings.NewReader("{\n \"eventId\": \"<string>\",\n \"request\": {\n \"qrCode\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"eventId\": \"<string>\",\n \"request\": {\n \"qrCode\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"eventId\": \"<string>\",\n \"request\": {\n \"qrCode\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n}"
response = http.request(request)
puts response.read_bodyAttendees
Check In Attendee to Event
Tool name: v1_checkin_event_attendee · Behaviour: ✏️ Write
Record an event check-in for the attendee identified by a scanned QR code (raw code or Zuddl deep-link URL). Intended for onsite check-in partners pushing real-time scans back into Zuddl. If the scanned user is also a speaker for this event, the check-in is recorded against the speaker record.
Same as Public API: Record an event check-in (POST /v1/events/{eventId}/attendees/attendance/checkin)
Check In Attendee to Event
curl --request POST \
--url https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventId": "<string>",
"request": {
"qrCode": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee"
payload = {
"eventId": "<string>",
"request": {
"qrCode": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventId: '<string>',
request: {qrCode: '<string>', occurredAt: '2023-11-07T05:31:56Z'}
})
};
fetch('https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'eventId' => '<string>',
'request' => [
'qrCode' => '<string>',
'occurredAt' => '2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee"
payload := strings.NewReader("{\n \"eventId\": \"<string>\",\n \"request\": {\n \"qrCode\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"eventId\": \"<string>\",\n \"request\": {\n \"qrCode\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://setup.zuddl.com/api/mcp/tools/v1_checkin_event_attendee")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"eventId\": \"<string>\",\n \"request\": {\n \"qrCode\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
OAuth 2.1 access token. MCP clients obtain it themselves (dynamic client registration + PKCE) when you connect them to the server URL above.
Body
application/json
The tool's arguments, as sent in a JSON-RPC tools/call request.
Response
200
A JSON-RPC tools/call result. The tool's output is in content.
Was this page helpful?
⌘I